#include <iostream>
#include "EditorApp.hpp"

int main(int argc, char *argv[])
{
    try {
        EditorApp app;
        app.initApp();
        app.getRoot()->startRendering();
        app.closeApp();
    } catch (const std::exception &e) {
        std::cerr << "Error: " << e.what() << std::endl;
        return 1;
    }

    return 0;
}
